## rxvt 2.6.4

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 # autoconf/Make.common.in	 -*- Makefile -*-
 # release date (man), LSM date, version number/name, current maintainer
-DATE=17 APRIL 2000
-LSMDATE=17APR00
-VERSION=2.6.2
+DATE=02 NOVEMBER 2001
+LSMDATE=02NOV01
+VERSION=2.6.4
 VERNAME=rxvt-$(VERSION)#
 MAINT=Geoff Wing#
 MAINTEMAIL=<gcw@rxvt.org>#
