=== debian/changelog ===
rxvt (1:2.7.10-5) unstable; urgency=low

  * Applied the following patches which were applied to rxvt-beta:
    - screen-nlines-assertion: corrects an off-by-one error in an
      assertion during page scrolling with DEBUG_STRICT enabled
    - scrollbar-style-doc: adds a caveat to the scrollstyle
      resource/long option that non-rxvt is available only in
      rxvt-xpm
    - decrease-wm-race-likeliness-202497: initialize the terminal
      dimensions earlier to reduce the probability that the window
      manager interferes
    - rxvt-tbl: rxvt.tbl syntax fixes
  * Enable xterm and next style scrollbars build options for the
    xterm-xpm target in debian/rules.
  * Corrected merge of multi-byte-font-width-72371.patch, which was
    applied to bold font sections instead of multibyte fonts, causing
    crashes. Closes: #721876.

 -- George Gensure <werkt0@gmail.com>  Wed, 28 Aug 2013 21:51:20 -0400

rxvt (1:2.7.10-4) unstable; urgency=low

  * Changed cutchars documentation to match default values.
    Closes: #169415.
  * Fixed patch for #341200 applied incorrectly during dquilt
    translation, originally fixed in 1:2.6.4-10. Closes: #217472.

 -- George Gensure <werkt0@gmail.com>  Sat, 17 Aug 2013 08:48:57 -0400

rxvt (1:2.7.10-3) unstable; urgency=low

  * Enabled rxvt original scrollbars explicitly in rules. Required
    configure enabled option with 2.7. Closes: #718538.
  * Also enabled mousewheel scrolling and keepscroll (held
    scroll button), which were features on by default in 2.6.

 -- George Gensure <werkt0@gmail.com>  Thu, 01 Aug 2013 21:11:43 -0400

rxvt (1:2.7.10-2) unstable; urgency=low

  * Removed update-alternatives --remove-all for rclock

 -- George Gensure <werkt0@gmail.com>  Sun, 21 Jul 2013 09:18:39 -0400

rxvt (1:2.7.10-1) unstable; urgency=low

  * New upstream version.
  * New maintainer. Closes: #698991.
  * Added DEB_BUILD_OPTIONS parsing support to rules for noopt, nostrip,
    and parallel.  nocheck is not supported, as there is no testing target.
  * Update standards version to 3.9.4
  * Package version bumped to 3.0 (quilt)
  * debhelper bumped to version 9
  * Winnowed down diffs to files against upstream corrections.
    Anything left in patches is either a debian configuration or unpatched
    upstream.
  * Split version 1 patches into individual 3.0 (quilt) patches named for
    bug/feature descriptions and bug tracker tags if available.
  * Patched documentation to account for lintian recommendations of
    minus/hyphen conflation.
  * Added doc-base entries for html documentation.
  * Added lintian recommendation of ${misc:Depends} to Depends
  * Updated copyright information, matching to upstream license of GPL-2, and
    upgrading format to debian copyright version 1
  * Added dpkg-buildflags substitutions for CPP/C/LDFLAGS per lintian
  * Added set -e to pre/post scripts for packages per lintian
  * Remove src/librxvt.h (generated) in clean target
  * Changed debian/watch to find the most current (and future) versions of
    upstream dist from 2.6-specific.

 -- George Gensure <werkt0@gmail.com>  Wed, 10 Jul 2013 14:02:13 -0400

rxvt (1:2.6.4-14) unstable; urgency=high

  * Add crossbuild support. Thanks to Neil Williams. Closes: #465214.
  * Finally fix scrollbuffer-related SEGV bug. Thanks to Josip Rodin
    for his help in debugging this! Closes: #445360.
  * Raise urgency (two RC bug fixes, 445360 and 462512).

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Thu, 24 Apr 2008 00:51:00 +0200

rxvt (1:2.6.4-13) unstable; urgency=low

  * Include a patch by Wolfgang Pietsch to make rclock's hour hand
    move smoothly.
  * Adjust the menu files to the new policy.
  * Bump Standards version to 3.7.3.
  * Fix NAME manpage sections to please mandb.
  * Intersperse 'make clean' invocations between the builds of the
    several build flavours. Closes: #462512.
  * Do not silently default to display ":0" if DISPLAY is unset.
    Closes: #469296.
  * Add watch file.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 11 Apr 2008 01:36:43 +0200

rxvt (1:2.6.4-12) unstable; urgency=low

  * Remove the obsolete package xfonts-cjk from Suggests.
  * Correct a ./configure flag typo that broke X resources handling.
  * Reintroduce the fix for #261996 (override for pty support detection
    in chroot environments).

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 08 Jul 2007 01:33:45 +0200

rxvt (1:2.6.4-11) unstable; urgency=low

  * New maintainer. Thanks, David! Closes: #388211.
  * Move build system to debhelper.
  * Bump Standards compliance level to 3.7.2.
  * Fix x-terminal-emulator alternative handling, adjust priority
    values to those of similar programs. Closes: #379134.
  * Get rid of ancient rclock alternative. Closes: #176111.
  * Correct manpage type, closes: #429411.
  * Drop the versioned base-passwd dependency and the conflicts with
    xcingb and suidmanager - all packages in question predate the
    woody release.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Thu, 10 May 2007 10:51:45 +0200

rxvt (1:2.6.4-10) unstable; urgency=low

  * Fixing a problem when selecting and pasting info on amd64.
  	- Closes: #341200, thanks to Martin Dorey.

 -- David Moreno Garza <damog@debian.org>  Wed, 30 Nov 2005 19:35:43 -0600

rxvt (1:2.6.4-9) unstable; urgency=low

  * The "Let's bring rxvt to real life again" revision release.
  * New maintainer (Closes: #321340).
  * Applied patch to get Control+Shift+Prior/Next to work.
  	(Closes: #226386, thanks to Alexis S. L. Carvalho).
  * Applied patch to make a POSIX debian/rules.
  	(Closes: #322391, thanks to Tommy Pettersson).
  * Fixed all documentation about cutchars.
  	(Closes: #296667, thanks to Xavier Renaut).
  * Updated policy version compliant.
  * menu commands brought to normal life (Closes: #248861).

 -- David Moreno Garza <damog@debian.org>  Tue,  4 Oct 2005 23:20:36 -0500

rxvt (1:2.6.4-8) unstable; urgency=low

  * QA Upload

