=== debian/control ===
Source: rxvt
Section: x11
Priority: optional
Maintainer: George Gensure <werkt0@gmail.com>
Build-Depends: libx11-dev, libxt-dev, libxpm-dev, debhelper (>= 9), autotools-dev
Standards-Version: 3.9.4
Homepage: http://rxvt.sourceforge.net/

Package: rxvt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-terminal-emulator
Description: VT102 terminal emulator for the X Window System
 Rxvt is an 8-bit clean, color xterm replacement that uses significantly
 less memory than a conventional xterm, mostly since it doesn't support
 toolkit configurability or Tek graphics, but also since features can
 be removed at compile-time to reflect your needs.
 .
 The distribution also includes rclock, the smaller/better xclock
 replacement with appointment scheduling and xbiff functionality.

Package: rxvt-ml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: rxvt
Suggests: xfonts-intl-european, xfonts-intl-chinese (>= 1.1-4) | xfonts-cmex-big5p, xcin (>= 2.5.0-0.2)
Provides: x-terminal-emulator
Description: multi-lingual VT102 terminal emulator for the X Window System
 Rxvt is an 8-bit clean, color xterm replacement that uses significantly
 less memory than a conventional xterm, mostly since it doesn't support
 toolkit configurability or Tek graphics, but also since features can
 be removed at compile-time to reflect your needs.
 .
 This package contains three versions of rxvt: krxvt and crxvt,
 which support Japanese and Chinese characters, and grxvt, which
 supports both ELOT-928 (ISO-8859-7 standard) and IBM-437 keyboard
 translations for Greek character entry.
