=== debian/watch ===
version=3
http://sf.net/rxvt/rxvt-(.+)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
